Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Cezary Rojewski <[email-masked]>
Date: Wed, 6 Jul 2022 14:20:25 +0200

On 2022-07-06 2:09 PM, Mark Brown wrote:
> On Wed, Jul 06, 2022 at 11:55:29AM +1000, Stephen Rothwell wrote:
> 
>> After merging the sound-asoc tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
> 
> Which toolchain do you use?  I've been using GCC 10 since it seems to be
> what Linus is using, anything else I try has tended to get spurious
> failures in from his tree.

Issue has been revealed by the yesterday's fix [1] - there was a 
spelling error on my side in the most recent (and integrated) version of 
i2s_test machine driver. As my CI was 1-rebase behind the schedule, we 
did not notice.

As mentioned by Amadeo, fix has already been provided [2]. Sorry for any 
trouble caused by that issue.

[1]: 
https://lore.kernel.org/alsa-devel/[email-masked]/
[2]: 
https://lore.kernel.org/alsa-devel/[email-masked]/T/#u

Regards,
Czarek